@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"');

*{
    padding: 0;
    margin: 0;
    font-family: 'Inter', sans-serif;
}

main, footer {
    display: flex;
    margin: 3px;
}

main {
    flex: 20 1 500px;
    /* height: calc(100vh -224px); altura header + altura footer + (3px+3px)*4 = 100+100+24 = 224 */
   
}

 /* aside {
    flex: 1 1 150px;
 } */

.flex {
    display: flex;
    flex-wrap: wrap;
    margin: 0 auto; 
}

.card {
	/* background-color: #f2f2f2; */
	border-radius: 10px;
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
	padding: 20px;
	margin: 20px;
	width: 400px;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	text-align: center;
}

.card h2 {
    font-family: helvetica;
	font-size: 24px;
	margin-bottom: 10px;
}

.card p {
    font-family: helvetica;
	font-size: 18px;
	line-height: 1.5;
	margin-bottom: 20px;
}

.card img {
	width: 100%;
	height: auto;
	margin-bottom: 20px;
}

.card button{
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    background-color: blue;
    color: white;
}

header {
    background-color: #8697ef;
    box-shadow: 0px 3px 10px #464646;
}

.nav-bar {
    display: flex;
    justify-content: space-between;
    padding: 1rem 2rem;
}

.logo {
    display: flex;
    align-items: center;
}

.logo h1 {
    color: #fff;
}

.nav-list {
    display: flex;
    align-items: center;
}

.nav-list ul {
    display: flex;
    justify-content: center;
    list-style: none;
}

.nav-item {
    margin: 0 15px;
}

.nav-link {
    text-decoration: none;
    font-size: 1.15rem;
    color: #fff;
    font-weight: 400;
}

.nav-list-aside {
    align-items: center;
}

.nav-list-aside ul {
    justify-content: center;
    list-style: none;
}

.nav-item-aside {
    padding: 2px 2px;
    border: 1px solid #647fd8;
    margin: 0 20px 0 0;
}

.nav-link-aside {
    text-decoration: none;
    font-size: 1rem;
    color: #0a0a0a;
    font-weight: 400;
}


.mobile-menu-icon {
    display: none;
}

.mobile-menu {
    display: none;
}

@media screen and (max-width: 730px) {
    .nav-bar {
        padding: 1.5rem 4rem;
    }

    .nav-item {
        display: none;
    }

    .mobile-menu-icon {
        display: block;
    }

    .mobile-menu-icon button {
        background-color: transparent;
        border: none;
        cursor: pointer;
    }

    .mobile-menu ul {
        display: flex;
        flex-direction: column;
        text-align: center;
        padding-bottom: 1rem;
    }

    .mobile-menu .nav-item {
        display: block;
        padding-top: 1.2rem;
    }

    .open {
        display: block;
    }
}